Package com.facebook.presto.jdbc

# Class WarningsManager

java.lang.Object
com.facebook.presto.jdbc.WarningsManager

@ThreadSafe public class WarningsManager extends Object

## Constructor Summary

Constructors
Constructor
Description
`WarningsManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addWarnings(List<com.facebook.presto.spi.PrestoWarning> warnings)`
`void`
`clearWarnings()`
`SQLWarning`
`getWarnings()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WarningsManager

public WarningsManager()

## Method Details

### addWarnings

public void addWarnings(List<com.facebook.presto.spi.PrestoWarning> warnings)

### getWarnings

public SQLWarning getWarnings()

### clearWarnings

public void clearWarnings()